"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { color: pink }", "space only after");
  tr.ok("a { color : pink }", "space before and after");
  tr.ok("a { color\n: pink }", "newline before and space after");

  tr.notOk("a { color :pink; }", _.messages.expectedAfter(), "no space after");
  tr.notOk("a { color :  pink; }", _.messages.expectedAfter(), "two spaces after");
  tr.notOk("a { color :\tpink; }", _.messages.expectedAfter(), "tab after");
  tr.notOk("a { color :\npink; }", _.messages.expectedAfter(), "newline after");
});

testRule("never", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { color:pink }", "no space before and after");
  tr.ok("a { color :pink }", "space before and no space after");
  tr.ok("a { color\n:pink }", "newline before and no space after");

  tr.notOk("a { color : pink; }", _.messages.rejectedAfter(), "space after");
  tr.notOk("a { color:  pink; }", _.messages.rejectedAfter(), "two spaces after");
  tr.notOk("a { color :\tpink; }", _.messages.rejectedAfter(), "tab after");
  tr.notOk("a { color :\npink; }", _.messages.rejectedAfter(), "newline after");
});