"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { color :pink }", "space only before");
  tr.ok("a { color : pink }", "space before and after");
  tr.ok("a { color :\npink }", "space before and newline after");

  tr.notOk("a { color: pink; }", _.messages.expectedBefore(), "no space before");
  tr.notOk("a { color  : pink; }", _.messages.expectedBefore(), "two spaces before");
  tr.notOk("a { color\t: pink; }", _.messages.expectedBefore(), "tab before");
  tr.notOk("a { color\n: pink; }", _.messages.expectedBefore(), "newline before");
});

testRule("never", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { color:pink }", "no space before and after");
  tr.ok("a { color: pink }", "no space before and space after");
  tr.ok("a { color:\npink }", "no space before and newline after");

  tr.notOk("a { color : pink; }", _.messages.rejectedBefore(), "space before");
  tr.notOk("a { color  : pink; }", _.messages.rejectedBefore(), "two spaces before");
  tr.notOk("a { color\t: pink; }", _.messages.rejectedBefore(), "tab before");
  tr.notOk("a { color\n: pink; }", _.messages.rejectedBefore(), "newline before");
});