"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var ruleName = "rule-no-duplicate-properties";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: function rejected(p) {
    return "Unexpected duplicate property \"" + p + "\"";
  }
});

exports.messages = messages;

exports["default"] = function () {
  return function (root, result) {
    root.eachRule(function (rule) {
      var decls = [];
      rule.eachDecl(function (decl) {
        var prop = decl.prop;
        if (decls.indexOf(prop) !== -1) {
          (0, _utils.report)({
            message: messages.rejected(prop),
            node: decl,
            result: result,
            ruleName: ruleName
          });
        }
        decls.push(prop);
      });
    });
  };
};