"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule("always", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { background-size: 0,\n0; }");
  tr.ok("a { background-size: 0 ,\n  0; }");
  tr.notOk("a { background-size: 0, 0; }", _.messages.expectedAfter());
  tr.notOk("a { background-size: 0,  0; }", _.messages.expectedAfter());
  tr.notOk("a { background-size: 0,\t0; }", _.messages.expectedAfter());

  tr.ok("a::before { content: \"foo,bar,baz\"; }", "string");
  tr.ok("a { transform: translate(1,1); }", "ignores function");
});

testRule("always-multi-line", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { background-size: 0,\n0,\n0; }");
  tr.ok("a { background-size: 0 ,\n  0,\n0; }");
  tr.notOk("a { background-size: 0,\n0, 0; }", _.messages.expectedAfterMultiLine());
  tr.notOk("a { background-size: 0,\n0,  0; }", _.messages.expectedAfterMultiLine());
  tr.notOk("a { background-size: 0,\n0,\t0; }", _.messages.expectedAfterMultiLine());

  tr.ok("a { background-size: 0, 0; }", "ignores single-line");
  tr.ok("a { background-size: 0, 0;\n}", "ignores single-line list, multi-line block");
});

testRule("never-multi-line", function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { background-size: 0\n,0\n,0; }");
  tr.notOk("a { background-size: 0\n,0\n, 0; }", _.messages.rejectedAfterMultiLine());
  tr.notOk("a { background-size: 0\n,0\n,  0; }", _.messages.rejectedAfterMultiLine());
  tr.notOk("a { background-size: 0\n,0\n,\t0; }", _.messages.rejectedAfterMultiLine());

  tr.ok("a { background-size: 0, 0; }", "ignores single-line");
  tr.ok("a { background-size: 0, 0;\n}", "ignores single-line list, multi-line block");
});